[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'CalcForm' (#lcl)

# TCalculatorState

Represents status values used in TCalculatorPanel.

## Declaration

Source position: calcform.pas line 38

`type TCalculatorState = (`
`csFirst,` |  | Value when an initial key press or button click has not yet been detected and applied to a calculator panel.
`csValid,` |  | Value after an operation for a key press or mouse click has been successfully applied.
`csError` |  | Value when an operation results in an error condition for a calculator panel.
`);`

## Description

TCalculatorState is an enumerated type with values that represent the status for keys/operations in the calculator. TCalculatorState is the type used to implement the Status property in TCalculatorPanel.

## See also

TCalculatorPanel.Status |  | Contains the status or state for the calculator panel.